#
#  FILE NAME:
#      error.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# P3 imports
from p3.base import Enum, GenericException


class LogicModuleError( GenericException ):
    codes = Enum(
        "dictree_path_del_failed",
        "dictree_path_get_failed",
        "dictree_path_set_failed" )

    def __init__( self, code=None, msg=None ):
        super( LogicModuleError, self ).__init__( "logic", code, msg )
